package com.ruoyi.project.training.elearn.service;

import java.util.List;
import com.ruoyi.project.training.elearn.domain.TElRecord;

/**
 * 岗位培训统计Service接口
 *
 * @author ssy
 * @date 2024-06-25
 */
public interface ITElRecordService
{
    /**
     * 查询岗位培训统计
     *
     * @param id 岗位培训统计ID
     * @return 岗位培训统计
     */
    public TElRecord selectTElRecordById(Long id);

    /**
     * 查询岗位培训统计列表
     *
     * @param tElRecord 岗位培训统计
     * @return 岗位培训统计集合
     */
    public List<TElRecord> selectTElRecordList(TElRecord tElRecord);

    /**
     * 新增岗位培训统计
     *
     * @param tElRecord 岗位培训统计
     * @return 结果
     */
    public int insertTElRecord(TElRecord tElRecord);

    /**
     * 修改岗位培训统计
     *
     * @param tElRecord 岗位培训统计
     * @return 结果
     */
    public int updateTElRecord(TElRecord tElRecord);

    /**
     * 批量删除岗位培训统计
     *
     * @param ids 需要删除的岗位培训统计ID
     * @return 结果
     */
    public int deleteTElRecordByIds(Long[] ids);

    /**
     * 删除岗位培训统计信息
     *
     * @param id 岗位培训统计ID
     * @return 结果
     */
    public int deleteTElRecordById(Long id);
}
